Get My Usage
curl --request GET \
--url https://api.zinc.com/usage \
--header 'Authorization: <api-key>'import requests
url = "https://api.zinc.com/usage"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.zinc.com/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"window_days": 123,
"since": "<string>",
"metrics": {},
"recent": [
{
"endpoint": "<string>",
"at": "<string>",
"query": "<string>",
"result_count": 123,
"retailer": "<string>",
"product_id": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Usage
Get My Usage
Retrieve your own API usage over a trailing window
GET
/
usage
Get My Usage
Retrieve your own data-API usage over a trailing window, broken down per endpoint.
Use this endpoint to monitor your request volume and track usage against your plan limits.
Authorizations
Zinc API key (Bearer zn_...)
Headers
Query Parameters
Trailing window in days (max 90).
Required range:
1 <= x <= 90How many recent calls to return.
Required range:
0 <= x <= 200⌘I

